Package org.apache.lucene.spatial.prefix

# Class AbstractVisitingPrefixTreeQuery.VNode

java.lang.Object
org.apache.lucene.spatial.prefix.AbstractVisitingPrefixTreeQuery.VNode

Enclosing class:
  `AbstractVisitingPrefixTreeQuery`

protected static class AbstractVisitingPrefixTreeQuery.VNode extends Object
A visitor node/cell found via the query shape for `AbstractVisitingPrefixTreeQuery.VisitorTemplate`. Sometimes these are reset(cell). It's like a LinkedList node but forms a tree.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`